Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class RbfRandomCenterSelector

    java.lang.Object
      org.joone.util.AbstractConverterPlugIn
          org.joone.util.ConverterPlugIn
              org.joone.util.RbfRandomCenterSelector

All Implemented Interfaces:
  java.io.Serializable, PlugInListener

    public class RbfRandomCenterSelector

extends ConverterPlugIn

This plug in is used to select fixed centers for Gaussian RBF layers randomly from the input data. Therefore, I implemented the selector as a plug in, because this way I can easily select centers randomly from the input.

Author:
  Boris Jansen
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.util.AbstractConverterPlugIn
`pluginListeners`

Constructor Summary
`RbfRandomCenterSelector(RbfGaussianLayer aRbfGaussianLayer)` Creates a new instance of RbfRandomCenterSelector

Method Summary
`protected boolean` | `convert(int serie)` Applies the conversion on the Nth serie of the buffered pattern data.
`protected double` | `getDistance(Pattern aCenter1, Pattern aCenter2)` Gets the distance between two centers.
`RbfGaussianParameters[]` | `getGaussianParameters()` Gets the parameters for the different nodes in a RBF layer.
`protected double` | `getMaxDistance(java.util.Vector aPatterns, int[] anIndexes)` Gets the maximum distance between centers.

Methods inherited from class org.joone.util.ConverterPlugIn
`isApplyEveryCycle, newCycle, setApplyEveryCycle`

Methods inherited from class org.joone.util.AbstractConverterPlugIn
`addPlugIn, addPlugInListener, apply, applyOnColumns, applyOnRows, cascade, check, convertPatterns, dataChanged, fireDataChanged, getAdvancedSerieSelector, getInputVector, getName, getNextPlugIn, getPluginListeners, getSerieIndexNumber, getSerieSelected, getValuePoint, isConnected, removeAllPlugIns, removePlugInListener, setAdvancedSerieSelector, setConnected, setInputVector, setName, setNextPlugin, setNextPlugIn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RbfRandomCenterSelector

    public RbfRandomCenterSelector(RbfGaussianLayer aRbfGaussianLayer)

  Creates a new instance of RbfRandomCenterSelector

  Parameters:
    `aRbfGaussianLayer` - the RBF Gaussian layer to get the number of nodes.

Method Detail

### convert

    protected boolean convert(int serie)

  Description copied from class: `AbstractConverterPlugIn`
  Applies the conversion on the Nth serie of the buffered pattern data. The method is abstract and should be overridden by the implementing class. Implementing classes can obtain the input patterns by calling the `AbstractConverterPlugIn.getInputVector()` method. The result is a `Vector` of `Pattern` objects which this method should use by converting the requested serie.

  Specified by:
    `convert` in class `AbstractConverterPlugIn`
  Parameters:
    `serie` - the serie to convert

### getGaussianParameters

    public RbfGaussianParameters[] getGaussianParameters()

  Gets the parameters for the different nodes in a RBF layer.

  Returns:
    the parameters for the different nodes in a RBF layer.

### getMaxDistance

    protected double getMaxDistance(java.util.Vector aPatterns,
                                    int[] anIndexes)

  Gets the maximum distance between centers.

  Parameters:
    `aPatterns` - all the input patterns (which might have been selected to become a center).
    `anIndexes` - the indexes of the selected centers.

### getDistance

    protected double getDistance(Pattern aCenter1,
                                 Pattern aCenter2)

  Gets the distance between two centers.

  Parameters:
    `aCenter1` - the first center.
    `aCenter2` - the second center.
  Returns:
    the distance between the two centers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net